## org.eclipse.emf.compare.match.metamodel.util
Class MatchAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.compare.match.metamodel.util.MatchAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  MatchItemProviderAdapterFactory

    public class MatchAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `MatchPackage`

Field Summary
`protected static MatchPackage` `modelPackage` The cached model package
`protected MatchSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`MatchAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`org.eclipse.emf.common.notify.Adapter` `createMatch2ElementsAdapter()` Creates a new adapter for an object of class ' `Match2 Elements`'.
`org.eclipse.emf.common.notify.Adapter` `createMatch3ElementsAdapter()` Creates a new adapter for an object of class ' `Match3 Elements`'.
`org.eclipse.emf.common.notify.Adapter` `createMatchElementAdapter()` Creates a new adapter for an object of class '`Element`'
`org.eclipse.emf.common.notify.Adapter` `createMatchModelAdapter()` Creates a new adapter for an object of class '`Model`'
`org.eclipse.emf.common.notify.Adapter` `createMatchResourceSetAdapter()` Creates a new adapter for an object of class ' `Resource Set`'.
`org.eclipse.emf.common.notify.Adapter` `createUnmatchElementAdapter()` Creates a new adapter for an object of class ' `Unmatch Element`'.
`org.eclipse.emf.common.notify.Adapter` `createUnmatchModelAdapter()` Creates a new adapter for an object of class ' `Unmatch Model`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static MatchPackage modelPackage

  The cached model package.

### modelSwitch

    protected MatchSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### MatchAdapterFactory

    public MatchAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

### createMatch2ElementsAdapter

    public org.eclipse.emf.common.notify.Adapter createMatch2ElementsAdapter()

  Creates a new adapter for an object of class ' `Match2 Elements`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Match2Elements`

### createMatch3ElementsAdapter

    public org.eclipse.emf.common.notify.Adapter createMatch3ElementsAdapter()

  Creates a new adapter for an object of class ' `Match3 Elements`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Match3Elements`

### createUnmatchElementAdapter

    public org.eclipse.emf.common.notify.Adapter createUnmatchElementAdapter()

  Creates a new adapter for an object of class ' `Unmatch Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnmatchElement`

### createMatchResourceSetAdapter

    public org.eclipse.emf.common.notify.Adapter createMatchResourceSetAdapter()

  Creates a new adapter for an object of class ' `Resource Set`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MatchResourceSet`

### createMatchElementAdapter

    public org.eclipse.emf.common.notify.Adapter createMatchElementAdapter()

  Creates a new adapter for an object of class '`Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MatchElement`

### createMatchModelAdapter

    public org.eclipse.emf.common.notify.Adapter createMatchModelAdapter()

  Creates a new adapter for an object of class '`Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MatchModel`

### createUnmatchModelAdapter

    public org.eclipse.emf.common.notify.Adapter createUnmatchModelAdapter()

  Creates a new adapter for an object of class ' `Unmatch Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnmatchModel`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

Copyright 2006 IBM Corporation and others. All Rights Reserved.